LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 11-20-2003, 05:21 PM   #1
Tyir
Member
 
Registered: Sep 2003
Distribution: Slackware 9.1 with fluxbox
Posts: 259

Rep: Reputation: 30
Can't install gDesklets! :(


I'v been tyring to install gDesklets for awhile, wasn't successful...now I'm trying again that I'm more experianced, but I still can't get it!!

So i dled the .tar.gz, untarred
./configure :

checking for python... /usr/bin/python
checking for python version... 2.2
checking for python platform... linux2
checking for python script directory... ${prefix}/lib/python2.2/site-packages
checking for python extension module directory... ${exec_prefix}/lib/python2.2/site-packages
checking for pkg-config... /usr/bin/pkg-config
checking for gnome-python-2.0 >= 1.99.17 pygtk-2.0 >= 1.99.17 gdk-2.0 gtk+-2.0 libgtop-2.0 >= 2.0.0... Requested 'gnome-python-2.0 >= 1.99.17' but version of GNOME-python is 1.99.14

configure: error: Library requirements (gnome-python-2.0 >= 1.99.17 pygtk-2.0 >= 1.99.17 gdk-2.0 gtk+-2.0 libgtop-2.0 >= 2.0.0) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them.
18:10:23 - ~/Programs/gDesklets-0.24.1>

So I'm like....huh...no gnome-python, eh?
do a google
found what seems to be it: pygtk-2.0.0
Installed from source

But it didn't help...

Im using RH9, fluxbox mainly, but i understand it can run gnome apps, anyways i tried doing it under gnome..

I was wondering if i had to install the newest version of GNOME? but that seems like overkill....
 
Old 11-20-2003, 09:02 PM   #2
llamakc
Member
 
Registered: Nov 2003
Distribution: Debian & Ubuntu
Posts: 402

Rep: Reputation: 31
install apt-rpm to fix your RPM depency hell. Then install Debian and cut out the punk middleman with the hat on.

Seriously.
 
Old 11-20-2003, 09:07 PM   #3
Tyir
Member
 
Registered: Sep 2003
Distribution: Slackware 9.1 with fluxbox
Posts: 259

Original Poster
Rep: Reputation: 30
llamakc man, you read my mind...
I started linux in Sept...did my homework and wanted to start with a realativly beginning distro, but have been aching to try the real toys...

Anyway I posted a related post in General forum about my adventures with apt-get

http://www.linuxquestions.org/questi...hreadid=118357
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
.. "Gdesklets" how can I install it ??? .. Blue Jacket Linux - Software 2 10-18-2005 02:28 AM
How-To: Install gdesklets on Slackware 9.0 artistikone LinuxQuestions.org Member Success Stories 34 01-12-2005 05:32 PM
gdesklets display install... nicoli33 Linux - Software 0 01-05-2005 01:10 PM
Please Help!? gDesklets Install Errors jasarien Linux - Software 2 04-07-2004 11:51 AM
gdesklets doralsoral Linux - Software 0 02-15-2004 03:19 PM


All times are GMT -5. The time now is 04:06 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration